import uvm_pkg::*;
`include "uvm_macros.svh"
import router_pkg::*;
class router_single_test extends uvm_test;
		`uvm_component_utils(router_single_test);

		router_s_env router_s_envi;

		function new(string name, uvm_component parent);
			super.new(name, parent);
		endfunction: new

		function void build_phase(uvm_phase phase);
			super.build_phase(phase);
			router_s_envi = router_s_env::type_id::create(.name("router_s_envi"), .parent(this));
		endfunction: build_phase

		task run_phase(uvm_phase phase);
			router_s_sequence router_s_seq;

			phase.raise_objection(.obj(this));
				router_s_seq = router_s_sequence::type_id::create(.name("router_s_seq"), .contxt(get_full_name()));
				assert(router_s_seq.randomize());
				router_s_seq.start(router_s_envi.router_agnt.router_seqr);
			phase.drop_objection(.obj(this));
		endtask: run_phase
endclass: router_single_test
