if [file exists "work"] {vdel -all}
vlib work

# SystemVerilog DUT
vlog router.v input_port.v route_comp.v arbiter.v xbar.v output_port.v fifo.v

vlog router_pkg.sv router_tb_top.sv +incdir+tb_classes
vopt router_tb_top -o top_optimized  +acc +cover=sbfec+router(rtl).

#vsim top_optimized -coverage +UVM_TESTNAME=router_test
vsim top_optimized -coverage +UVM_TESTNAME=router_single_test

set NoQuitOnFinish 1
onbreak {resume}
log /* -r
run -all

#vcover report simpleadder.ucdb -cvg -details
quit
