`include "common_defs.v"

localparam LINKWIDTH = `IC_WIDTH;
parameter IN_PORT_CNT = 5; // number of input ports of the router
parameter OUT_PORT_CNT = 5; // number of output ports of the router

interface router_if;

	logic	sig_clk;
	logic	sig_rst;

	logic [IN_PORT_CNT-1:0] sig_req_in;
	logic [LINKWIDTH*IN_PORT_CNT-1:0] sig_data_in;
	logic [IN_PORT_CNT-1:0]	sig_rdy_in;
	logic [OUT_PORT_CNT-1:0] sig_req_out;
	logic [LINKWIDTH*OUT_PORT_CNT-1:0] sig_data_out;
	logic [OUT_PORT_CNT-1:0] sig_rdy_out;	

endinterface: router_if