if [file exists "work"] {vdel -all}
vlib work

# SystemVerilog DUT
vlog Sha1.v

vlog sha1_pkg.sv sha1_tb_top.sv +incdir+tb_classes
vopt sha1_tb_top -o top_optimized  +acc +cover=sbfec+Sha1(rtl).

vsim top_optimized -coverage +UVM_TESTNAME=sha1_test

set NoQuitOnFinish 1
onbreak {resume}
log /* -r
run -all

#vcover report simpleadder.ucdb -cvg -details
quit
