import uvm_pkg::*;
`include "uvm_macros.svh"
import sha1_pkg::*;
class sha1_test extends uvm_test;
		`uvm_component_utils(sha1_test);

		sha1_env sha1_envi;

		function new(string name, uvm_component parent);
			super.new(name, parent);
		endfunction: new

		function void build_phase(uvm_phase phase);
			super.build_phase(phase);
			sha1_envi = sha1_env::type_id::create(.name("sha1_envi"), .parent(this));
		endfunction: build_phase

		task run_phase(uvm_phase phase);
			sha1_sequence sha1_seq;

			phase.raise_objection(.obj(this));
				sha1_seq = sha1_sequence::type_id::create(.name("sha1_seq"), .contxt(get_full_name()));
				assert(sha1_seq.randomize());
				sha1_seq.start(sha1_envi.sha1_agnt.sha1_seqr);
			phase.drop_objection(.obj(this));
		endtask: run_phase
endclass: sha1_test
