if [file exists "work"] {vdel -all}
vlib work

# SystemVerilog DUT
vlog sha1tile.v Sha1.v router.v input_port.v route_comp.v arbiter.v xbar.v output_port.v fifo.v

vlog sha1_if.sv router_if.sv sha1tile_if.sv
vlog sha1_pkg.sv router_pkg.sv sha1tile_pkg.sv sha1tiletest_pkg.sv sha1tile_tb_top.sv +incdir+tb_classes
vopt sha1tile_tb_top -o top_optimized  +acc +cover=sbfec+sha1tile(rtl).

vsim top_optimized -coverage +UVM_TESTNAME=sha1tile_test

set NoQuitOnFinish 1
onbreak {resume}
log /* -r
run -all

#vcover report simpleadder.ucdb -cvg -details
quit
