import uvm_pkg::*;
`include "uvm_macros.svh"
import sha1tiletest_pkg::*;

class sha1tile_env_config extends uvm_object;
   `uvm_object_utils( sha1tile_env_config )
 
   bit has_sha1_agent = 1; // switch to instantiate the sha1 agent
   bit has_router_s_agent = 1; // switch to instantiate the router agent
   bit has_sha1tile_agent = 1; // switch to instantiate the sha1-tile agent 
   bit has_sha1_sb    = 1; // switch to instantiate the sha1 scoreboard
   bit has_router_s_sb    = 1; // switch to instantiate the router scoreboard 
   bit has_sha1tile_sb    = 1; // switch to instantiate the sha1-tile scoreboard	
 
   sha1_agent_config 		sha1_agent_cfg;
   router_s_agent_config 	router_s_agent_cfg;
   sha1tile_agent_config 	sha1tile_agent_cfg;	
 
   function new( string name = "" );
      super.new( name );
   endfunction: new
endclass: sha1tile_env_config
